Bug 163918 - Translated strings doesn't fit in zoom combobox toolbar item
Summary: Translated strings doesn't fit in zoom combobox toolbar item
Status: RESOLVED FIXED
Alias: None
Product: kdelibs
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdelibs bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-12 17:51 UTC by Javier
Modified: 2008-06-21 01:13 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
Zoom combobox not resizing (27.21 KB, image/png)
2008-06-13 22:06 UTC, Javier
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Javier 2008-06-12 17:51:13 UTC
Version:           0.6.80 (using 4.00.82 (KDE 4.0.82 >= 20080610), compiled sources)
Compiler:          gcc
OS:                Linux (i686) release 2.6.24-16-generic

When using Okular with the spanish (ES) translation, the zoom combobox in the toolbar doesn't show the entire string for the translations of fit width (ajustar al ancho) and fit page (ajustar a la pagina).

Shouldn't the combobox expand according to the text inside?
Comment 1 Albert Astals Cid 2008-06-13 21:16:29 UTC
Can you attach a screenshot showing the problem?
Comment 2 Javier 2008-06-13 22:06:44 UTC
Created attachment 25313 [details]
Zoom combobox not resizing
Comment 3 Albert Astals Cid 2008-06-21 01:13:24 UTC
SVN commit 822657 by aacid:

Make kcombobox minimumsize bigger if the lineedit is a KLineEdit and it's editable
otherwise looks ugly because the clear button will cover the last 2/3 letters of the biggest entry

Nobody opposed for a week.

BUG: 163918


 M  +16 -0     kcombobox.cpp  
 M  +2 -0      kcombobox.h  
 M  +11 -0     klineedit.cpp  
 M  +6 -0      klineedit.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=822657